package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 订阅管理对象 su_subscribe
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class SuSubscribe extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 订阅id */
    private Long suId;

    /** 查询关键字;分割 */
    @Excel(name = "查询关键字;分割")
    private String suKeys;

    /** 地名称;分割 */
    @Excel(name = "地名称;分割")
    private String suAreas;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 0为不启用，1为启用 */
    @Excel(name = "0为不启用，1为启用")
    private Integer isTrue;

    public void setSuId(Long suId) 
    {
        this.suId = suId;
    }

    public Long getSuId() 
    {
        return suId;
    }
    public void setSuKeys(String suKeys) 
    {
        this.suKeys = suKeys;
    }

    public String getSuKeys() 
    {
        return suKeys;
    }
    public void setSuAreas(String suAreas) 
    {
        this.suAreas = suAreas;
    }

    public String getSuAreas() 
    {
        return suAreas;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setIsTrue(Integer isTrue) 
    {
        this.isTrue = isTrue;
    }

    public Integer getIsTrue() 
    {
        return isTrue;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("suId", getSuId())
            .append("suKeys", getSuKeys())
            .append("suAreas", getSuAreas())
            .append("userId", getUserId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("isTrue", getIsTrue())
            .toString();
    }
}
